Subject: Re: [PATCH ethtool] ethtool: Support for configurable RSS hash function

From: "John W. Linville" <[email-masked]>
Date: Wed, 29 Mar 2017 10:49:22 -0400

On Wed, Mar 29, 2017 at 02:56:38PM +0300, Gal Pressman wrote:
> On 27/03/2017 21:02, John W. Linville wrote:
> > On Sat, Mar 25, 2017 at 02:50:47PM -0700, Jakub Kicinski wrote:
> >> On Wed,  8 Mar 2017 16:03:51 +0200, Gal Pressman wrote:
> >>> This ethtool patch adds support to set and get the current RSS hash
> >>> function for the device through the new hfunc mask field in the
> >>> ethtool_rxfh struct. Kernel supported hash function names are queried
> >>> with ETHTOOL_GSTRINGS - each string is corresponding with a bit in hfunc
> >>> mask according to its index in the string-set.
> >>>
> >>> Signed-off-by: Eyal Perry <[email-masked]>
> >>> Signed-off-by: Gal Pressman <[email-masked]>
> >>> Reviewed-by: Saeed Mahameed <[email-masked]>
> >> Hi John,
> >>
> >> It seems you have applied both my earlier patch with get support and
> >> this:
> >>
> >> adbaa18b9bc1 ("ethtool: Support for configurable RSS hash function")
> >> b932835d2302 ("ethtool: print hash function with ethtool -x|--show-rxfh-indir")

Damn it! I was bamboozled...

> >> Now we print the RSS function twice:
> >>
> >> RX flow hash indirection table for em4 with 4 RX ring(s):
> >>     0:      [...]
> >> RSS hash function: toeplitz  <--- from my adbaa18b9bc1

This should have said "<--- from my b932835d2302"...

> >> RSS hash key:
> >> Operation not supported
> >> RSS hash function:           <--- from this patch
> >>     toeplitz: on
> >>     xor: off
> >>     crc32: off
> >>
> >> Reverting my patch is probably the easiest way forward, although I find
> >> it more concise and easier to parse in test scripts :)
> > Thanks for pointing-out this issue! I apologize for my own confusion.
> >
> > As you suggest, I will be reverting your patch.
> >
> > Thanks,
> >
> > John
> 126464e4da18 ('Revert "ethtool: Support for configurable RSS hash function"')
> 
> Seems like you ended up reverting my patch instead of Jakub's?
> We lost the set hfunc functionality.

Confused by the swapped commit IDs above, I dutifully reverted
"adbaa18b9bc1"...ugh...

Alright, I'll have to tighten-up my game a bit! From here I'll revert
b932835d2302 and reinstate adbaa18b9bc1, hopefully bringing this
little misadventure to a close.

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.